package com.traffic.processor.util;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.traffic.processor.vo.Vehicle;

import kafka.serializer.Decoder;
import kafka.utils.VerifiableProperties;

/**
 * Class to deserialize JSON string to IoTData java object
 * 
 * 
 *
 */
public class IoTDataDecoder implements Decoder<Vehicle> {
	
	private static ObjectMapper objectMapper = new ObjectMapper();
	
	public IoTDataDecoder(VerifiableProperties verifiableProperties) {

    }
	public Vehicle fromBytes(byte[] bytes) {
		try {
			return objectMapper.readValue(bytes, Vehicle.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null;
	}
}
